<?xml version="1.0" encoding="ks_c_5601-1987"?>
<VisualStudioProject
	ProjectType="Visual C++"
	Version="9.00"
	Name="libmcrypt"
	ProjectGUID="{BE2BD8F1-5943-4B2F-9494-6E00A32FBC4E}"
	RootNamespace="libmcrypt"
	Keyword="Win32Proj"
	TargetFrameworkVersion="131072"
	>
	<Platforms>
		<Platform
			Name="Win32"
		/>
		<Platform
			Name="x64"
		/>
	</Platforms>
	<ToolFiles>
	</ToolFiles>
	<Configurations>
		<Configuration
			Name="Debug|Win32"
			OutputDirectory="$(SolutionDir)$(ConfigurationName)"
			IntermediateDirectory="$(ConfigurationName)"
			ConfigurationType="4"
			CharacterSet="2"
			>
			<Tool
				Name="VCPreBuildEventTool"
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
			/>
			<Tool
				Name="VCCLCompilerTool"
				Optimization="0"
				AdditionalIncludeDirectories="&quot;../../libs/libmcrypt-2.5.7/lib&quot;;&quot;../../libs/libmcrypt-2.5.7/&quot;"
				PreprocessorDefinitions="WIN32;_DEBUG;_LIB;_CRT_SECURE_NO_DEPRECATE"
				MinimalRebuild="true"
				BasicRuntimeChecks="3"
				RuntimeLibrary="1"
				UsePrecompiledHeader="0"
				WarningLevel="3"
				DebugInformationFormat="4"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
			/>
			<Tool
				Name="VCResourceCompilerTool"
			/>
			<Tool
				Name="VCPreLinkEventTool"
			/>
			<Tool
				Name="VCLibrarianTool"
				OutputFile="../win32/bin/Debug/libmcrypt.lib"
			/>
			<Tool
				Name="VCALinkTool"
			/>
			<Tool
				Name="VCXDCMakeTool"
			/>
			<Tool
				Name="VCBscMakeTool"
			/>
			<Tool
				Name="VCFxCopTool"
			/>
			<Tool
				Name="VCPostBuildEventTool"
			/>
		</Configuration>
		<Configuration
			Name="Debug|x64"
			OutputDirectory="$(SolutionDir)$(PlatformName)\$(ConfigurationName)"
			IntermediateDirectory="$(PlatformName)\$(ConfigurationName)"
			ConfigurationType="4"
			CharacterSet="2"
			>
			<Tool
				Name="VCPreBuildEventTool"
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
				TargetEnvironment="3"
			/>
			<Tool
				Name="VCCLCompilerTool"
				Optimization="0"
				AdditionalIncludeDirectories="&quot;../../libs/libmcrypt-2.5.7/lib&quot;;&quot;../../libs/libmcrypt-2.5.7/&quot;"
				PreprocessorDefinitions="_WIN32;_WIN64;WIN64;WIN32;_DEBUG;_LIB;_CRT_SECURE_NO_DEPRECATE"
				MinimalRebuild="true"
				BasicRuntimeChecks="3"
				RuntimeLibrary="1"
				UsePrecompiledHeader="0"
				WarningLevel="3"
				DebugInformationFormat="3"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
			/>
			<Tool
				Name="VCResourceCompilerTool"
			/>
			<Tool
				Name="VCPreLinkEventTool"
			/>
			<Tool
				Name="VCLibrarianTool"
				OutputFile="../win64/bin/Debug/libmcrypt.lib"
			/>
			<Tool
				Name="VCALinkTool"
			/>
			<Tool
				Name="VCXDCMakeTool"
			/>
			<Tool
				Name="VCBscMakeTool"
			/>
			<Tool
				Name="VCFxCopTool"
			/>
			<Tool
				Name="VCPostBuildEventTool"
			/>
		</Configuration>
		<Configuration
			Name="Release|Win32"
			OutputDirectory="$(SolutionDir)$(ConfigurationName)"
			IntermediateDirectory="$(ConfigurationName)"
			ConfigurationType="4"
			CharacterSet="2"
			WholeProgramOptimization="1"
			>
			<Tool
				Name="VCPreBuildEventTool"
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
			/>
			<Tool
				Name="VCCLCompilerTool"
				Optimization="2"
				EnableIntrinsicFunctions="true"
				AdditionalIncludeDirectories="&quot;../../libs/libmcrypt-2.5.7/lib&quot;;&quot;../../libs/libmcrypt-2.5.7/&quot;"
				PreprocessorDefinitions="WIN32;NDEBUG;_LIB;_CRT_SECURE_NO_DEPRECATE"
				RuntimeLibrary="0"
				EnableFunctionLevelLinking="true"
				UsePrecompiledHeader="0"
				WarningLevel="3"
				DebugInformationFormat="3"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
			/>
			<Tool
				Name="VCResourceCompilerTool"
			/>
			<Tool
				Name="VCPreLinkEventTool"
			/>
			<Tool
				Name="VCLibrarianTool"
				OutputFile="../win32/bin/Release/libmcrypt.lib"
			/>
			<Tool
				Name="VCALinkTool"
			/>
			<Tool
				Name="VCXDCMakeTool"
			/>
			<Tool
				Name="VCBscMakeTool"
			/>
			<Tool
				Name="VCFxCopTool"
			/>
			<Tool
				Name="VCPostBuildEventTool"
			/>
		</Configuration>
		<Configuration
			Name="Release|x64"
			OutputDirectory="$(SolutionDir)$(PlatformName)\$(ConfigurationName)"
			IntermediateDirectory="$(PlatformName)\$(ConfigurationName)"
			ConfigurationType="4"
			CharacterSet="2"
			WholeProgramOptimization="1"
			>
			<Tool
				Name="VCPreBuildEventTool"
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
				TargetEnvironment="3"
			/>
			<Tool
				Name="VCCLCompilerTool"
				Optimization="2"
				EnableIntrinsicFunctions="true"
				AdditionalIncludeDirectories="&quot;../../libs/libmcrypt-2.5.7/lib&quot;;&quot;../../libs/libmcrypt-2.5.7/&quot;"
				PreprocessorDefinitions="_WIN32;_WIN64;WIN64;WIN32;NDEBUG;_LIB;_CRT_SECURE_NO_DEPRECATE"
				RuntimeLibrary="2"
				EnableFunctionLevelLinking="true"
				UsePrecompiledHeader="0"
				WarningLevel="3"
				DebugInformationFormat="3"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
			/>
			<Tool
				Name="VCResourceCompilerTool"
			/>
			<Tool
				Name="VCPreLinkEventTool"
			/>
			<Tool
				Name="VCLibrarianTool"
				OutputFile="../win64/bin/Release/libmcrypt.lib"
			/>
			<Tool
				Name="VCALinkTool"
			/>
			<Tool
				Name="VCXDCMakeTool"
			/>
			<Tool
				Name="VCBscMakeTool"
			/>
			<Tool
				Name="VCFxCopTool"
			/>
			<Tool
				Name="VCPostBuildEventTool"
			/>
		</Configuration>
	</Configurations>
	<References>
	</References>
	<Files>
		<Filter
			Name="Source Files"
			Filter="cpp;c;cc;cxx;def;odl;idl;hpj;bat;asm;asmx"
			UniqueIdentifier="{4FC737F1-C7A5-4376-A066-2A32D752A2FF}"
			>
			<File
				RelativePath="..\..\libs\libmcrypt-2.5.7\lib\bzero.c"
				>
			</File>
			<File
				RelativePath="..\..\libs\libmcrypt-2.5.7\lib\mcrypt.c"
				>
			</File>
			<File
				RelativePath="..\..\libs\libmcrypt-2.5.7\lib\mcrypt_modules.c"
				>
			</File>
			<File
				RelativePath="..\..\libs\libmcrypt-2.5.7\lib\mcrypt_threads.c"
				>
			</File>
			<File
				RelativePath="..\..\libs\libmcrypt-2.5.7\lib\win32_comp.c"
				>
			</File>
			<File
				RelativePath="..\..\libs\libmcrypt-2.5.7\lib\xmemory.c"
				>
			</File>
		</Filter>
		<Filter
			Name="Header Files"
			Filter="h;hpp;hxx;hm;inl;inc;xsd"
			UniqueIdentifier="{93995380-89BD-4b04-88EB-625FBE52EBFB}"
			>
			<File
				RelativePath="..\..\libs\libmcrypt-2.5.7\lib\bzero.h"
				>
			</File>
			<File
				RelativePath="..\..\libs\libmcrypt-2.5.7\lib\libdefs.h"
				>
			</File>
			<File
				RelativePath="..\..\libs\libmcrypt-2.5.7\lib\mcrypt.h"
				>
			</File>
			<File
				RelativePath="..\..\libs\libmcrypt-2.5.7\lib\mcrypt_internal.h"
				>
			</File>
			<File
				RelativePath="..\..\libs\libmcrypt-2.5.7\lib\mcrypt_modules.h"
				>
			</File>
			<File
				RelativePath="..\..\libs\libmcrypt-2.5.7\lib\xmemory.h"
				>
			</File>
		</Filter>
		<Filter
			Name="Resource Files"
			Filter="rc;ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe;resx;tiff;tif;png;wav"
			UniqueIdentifier="{67DA6AB6-F800-4c08-8B7A-83BB121AAD01}"
			>
		</Filter>
		<Filter
			Name="algorithm"
			>
			<File
				RelativePath="..\..\libs\libmcrypt-2.5.7\modules\algorithms\3-way.c"
				>
			</File>
			<File
				RelativePath="..\..\libs\libmcrypt-2.5.7\modules\algorithms\3-way.h"
				>
			</File>
			<File
				RelativePath="..\..\libs\libmcrypt-2.5.7\modules\algorithms\arcfour.c"
				>
			</File>
			<File
				RelativePath="..\..\libs\libmcrypt-2.5.7\modules\algorithms\arcfour.h"
				>
			</File>
			<File
				RelativePath="..\..\libs\libmcrypt-2.5.7\modules\algorithms\blowfish-compat.c"
				>
			</File>
			<File
				RelativePath="..\..\libs\libmcrypt-2.5.7\modules\algorithms\blowfish.c"
				>
			</File>
			<File
				RelativePath="..\..\libs\libmcrypt-2.5.7\modules\algorithms\blowfish.h"
				>
			</File>
			<File
				RelativePath="..\..\libs\libmcrypt-2.5.7\modules\algorithms\cast-128.c"
				>
			</File>
			<File
				RelativePath="..\..\libs\libmcrypt-2.5.7\modules\algorithms\cast-128.h"
				>
			</File>
			<File
				RelativePath="..\..\libs\libmcrypt-2.5.7\modules\algorithms\cast-128_sboxes.h"
				>
			</File>
			<File
				RelativePath="..\..\libs\libmcrypt-2.5.7\modules\algorithms\cast-256.c"
				>
			</File>
			<File
				RelativePath="..\..\libs\libmcrypt-2.5.7\modules\algorithms\cast-256.h"
				>
			</File>
			<File
				RelativePath="..\..\libs\libmcrypt-2.5.7\modules\algorithms\des.c"
				>
			</File>
			<File
				RelativePath="..\..\libs\libmcrypt-2.5.7\modules\algorithms\des.h"
				>
			</File>
			<File
				RelativePath="..\..\libs\libmcrypt-2.5.7\modules\algorithms\enigma.c"
				>
			</File>
			<File
				RelativePath="..\..\libs\libmcrypt-2.5.7\modules\algorithms\enigma.h"
				>
			</File>
			<File
				RelativePath="..\..\libs\libmcrypt-2.5.7\modules\algorithms\gost.c"
				>
			</File>
			<File
				RelativePath="..\..\libs\libmcrypt-2.5.7\modules\algorithms\loki97.c"
				>
			</File>
			<File
				RelativePath="..\..\libs\libmcrypt-2.5.7\modules\algorithms\panama.c"
				>
			</File>
			<File
				RelativePath="..\..\libs\libmcrypt-2.5.7\modules\algorithms\panama.h"
				>
			</File>
			<File
				RelativePath="..\..\libs\libmcrypt-2.5.7\modules\algorithms\rc2.c"
				>
			</File>
			<File
				RelativePath="..\..\libs\libmcrypt-2.5.7\modules\algorithms\rc2.h"
				>
			</File>
			<File
				RelativePath="..\..\libs\libmcrypt-2.5.7\modules\algorithms\rijndael-128.c"
				>
			</File>
			<File
				RelativePath="..\..\libs\libmcrypt-2.5.7\modules\algorithms\rijndael-192.c"
				>
			</File>
			<File
				RelativePath="..\..\libs\libmcrypt-2.5.7\modules\algorithms\rijndael-256.c"
				>
			</File>
			<File
				RelativePath="..\..\libs\libmcrypt-2.5.7\modules\algorithms\rijndael.h"
				>
			</File>
			<File
				RelativePath="..\..\libs\libmcrypt-2.5.7\modules\algorithms\safer.h"
				>
			</File>
			<File
				RelativePath="..\..\libs\libmcrypt-2.5.7\modules\algorithms\safer128.c"
				>
			</File>
			<File
				RelativePath="..\..\libs\libmcrypt-2.5.7\modules\algorithms\safer64.c"
				>
			</File>
			<File
				RelativePath="..\..\libs\libmcrypt-2.5.7\modules\algorithms\saferplus.c"
				>
			</File>
			<File
				RelativePath="..\..\libs\libmcrypt-2.5.7\modules\algorithms\saferplus.h"
				>
			</File>
			<File
				RelativePath="..\..\libs\libmcrypt-2.5.7\modules\algorithms\serpent.c"
				>
			</File>
			<File
				RelativePath="..\..\libs\libmcrypt-2.5.7\modules\algorithms\serpent.h"
				>
			</File>
			<File
				RelativePath="..\..\libs\libmcrypt-2.5.7\modules\algorithms\tripledes.c"
				>
			</File>
			<File
				RelativePath="..\..\libs\libmcrypt-2.5.7\modules\algorithms\tripledes.h"
				>
			</File>
			<File
				RelativePath="..\..\libs\libmcrypt-2.5.7\modules\algorithms\twofish.c"
				>
			</File>
			<File
				RelativePath="..\..\libs\libmcrypt-2.5.7\modules\algorithms\twofish.h"
				>
			</File>
			<File
				RelativePath="..\..\libs\libmcrypt-2.5.7\modules\algorithms\wake.c"
				>
			</File>
			<File
				RelativePath="..\..\libs\libmcrypt-2.5.7\modules\algorithms\wake.h"
				>
			</File>
			<File
				RelativePath="..\..\libs\libmcrypt-2.5.7\modules\algorithms\xtea.c"
				>
			</File>
			<File
				RelativePath="..\..\libs\libmcrypt-2.5.7\modules\algorithms\xtea.h"
				>
			</File>
		</Filter>
		<Filter
			Name="patch"
			>
			<File
				RelativePath=".\mcrypt_symb.c"
				>
			</File>
			<File
				RelativePath="..\..\libs\libmcrypt-2.5.7\lib\win32_comp.h"
				>
			</File>
		</Filter>
		<Filter
			Name="modes"
			>
			<File
				RelativePath="..\..\libs\libmcrypt-2.5.7\modules\modes\cbc.c"
				>
			</File>
			<File
				RelativePath="..\..\libs\libmcrypt-2.5.7\modules\modes\cbc.h"
				>
			</File>
			<File
				RelativePath="..\..\libs\libmcrypt-2.5.7\modules\modes\cfb.c"
				>
			</File>
			<File
				RelativePath="..\..\libs\libmcrypt-2.5.7\modules\modes\cfb.h"
				>
			</File>
			<File
				RelativePath="..\..\libs\libmcrypt-2.5.7\modules\modes\ctr.c"
				>
			</File>
			<File
				RelativePath="..\..\libs\libmcrypt-2.5.7\modules\modes\ctr.h"
				>
			</File>
			<File
				RelativePath="..\..\libs\libmcrypt-2.5.7\modules\modes\ecb.c"
				>
			</File>
			<File
				RelativePath="..\..\libs\libmcrypt-2.5.7\modules\modes\ecb.h"
				>
			</File>
			<File
				RelativePath="..\..\libs\libmcrypt-2.5.7\modules\modes\ncfb.c"
				>
			</File>
			<File
				RelativePath="..\..\libs\libmcrypt-2.5.7\modules\modes\ncfb.h"
				>
			</File>
			<File
				RelativePath="..\..\libs\libmcrypt-2.5.7\modules\modes\nofb.c"
				>
			</File>
			<File
				RelativePath="..\..\libs\libmcrypt-2.5.7\modules\modes\nofb.h"
				>
			</File>
			<File
				RelativePath="..\..\libs\libmcrypt-2.5.7\modules\modes\ofb.c"
				>
			</File>
			<File
				RelativePath="..\..\libs\libmcrypt-2.5.7\modules\modes\ofb.h"
				>
			</File>
			<File
				RelativePath="..\..\libs\libmcrypt-2.5.7\modules\modes\stream.c"
				>
			</File>
			<File
				RelativePath="..\..\libs\libmcrypt-2.5.7\modules\modes\stream.h"
				>
			</File>
		</Filter>
		<File
			RelativePath=".\ReadMe.txt"
			>
		</File>
	</Files>
	<Globals>
	</Globals>
</VisualStudioProject>
